Page MenuHomePhabricator

Deploy page previews for anons on dewiki
Closed, ResolvedPublic3 Story Points

Description

Background

Community consultation: https://de.wikipedia.org/wiki/Wikipedia:Fragen_zur_Wikipedia#Seitenvorschaubilder_(Page_Previews). Results preferred on for anons and new accounts. The changes for new accounts will be tracked under T191888: Change page previews configuration for opt-in accounts. Based on consultation, we should deploy the second change sometime between now and the end of May.

Blockers

  • all subtask of epic reviewed and resolved(if not removed as subtasks) - all currently in signoff.
  • Community consultation for behavior for logged-in users started and any follow ups outlined by @CKoerner_WMF have been added here.
  • T189906 has been completed and VirtualPageViews is enabled on all wikis
  • Patches relating to T190188 are on English and German Wikipedia
  • @CKoerner_WMF has reviewed blockers and ticked this box personally to say they are correct
  • @ovasileva has reviewed blockers and ticked this box personally to say they are correct
  • @Jdlrobson has reviewed blockers and ticked this box personally to say they are correct
  • @Nirzar has reviewed blockers and ticked this box personally to say they are correct

Acceptance criteria

  • All boxes in the blockers have been ticked. We're ready to go!
  • Patch is written per developer notes.
  • Deploy is scheduled and a meeting is added to the calendar. @ABorbaWMF , a design rep and @ovasileva should be available for testing.

Developer notes

The deploy script should take care of the following

  • wgPopupsAnonsExperimentalGroupSize should be set to 0 for all wikis ('default'). Counter-intuitively this means Popups is enabled to 100% of anons. Note given the value of wmgUsePopups this will not enable Popups for non-wikipedias

During deploy

  • Verify that Page previews is showing on all wikipedias for anonymous users and for logged in (only if opted in) - I suggest testing Spanish, German, Hebrew. Be careful to test anonymous behaviour in an incognito window as you may have previously been opted in via the footer)
  • Verify that the rate of events for VirtualPageViews is still at healthy values (estimated average: ~700-800 events/sec; may be above or below that depending on time of day and day of week). Errors are around normal rate.
  • Verify that page previews remains disabled on all other projects e.g. Wikidata, Wiktionary, English Wikipedia
  • Green light from @ABorbaWMF to sync - QA done by @ovasileva
  • Green light from @Nirzar to sync - QA done by @alexhollender
  • Green light from @ovasileva to sync

Post deploy

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDeploy page previews for anons on dewiki

Event Timeline

ovasileva triaged this task as Normal priority.Apr 11 2018, 10:48 AM
ovasileva created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2018, 10:48 AM
ovasileva updated the task description. (Show Details)Apr 11 2018, 10:50 AM
ovasileva raised the priority of this task from Normal to High.Apr 11 2018, 10:57 AM
ovasileva moved this task from Incoming to 2017-18 Q4 on the Readers-Web-Backlog board.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 11 2018, 10:57 AM

Change 425522 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Deploy page previews for anons on dewiki

https://gerrit.wikimedia.org/r/425522

Jdlrobson updated the task description. (Show Details)Apr 11 2018, 2:20 PM
CKoerner_WMF updated the task description. (Show Details)Apr 11 2018, 2:56 PM
Jdlrobson updated the task description. (Show Details)Apr 11 2018, 3:25 PM

Change 425522 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy page previews for anons on dewiki

https://gerrit.wikimedia.org/r/425522

Mentioned in SAL (#wikimedia-operations) [2018-04-11T17:40:56Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:425522|Deploy page previews for anons on dewiki]] T191966 (duration: 00m 54s)

Jdlrobson updated the task description. (Show Details)Apr 11 2018, 5:52 PM
ovasileva updated the task description. (Show Details)Apr 11 2018, 5:55 PM
ovasileva added a subscriber: alexhollender.
Jdlrobson updated the task description. (Show Details)

this looks like it can be resolved.

ovasileva closed this task as Resolved.Apr 12 2018, 4:28 PM

All done here :) Noting that we'll track event rates in T189906: Roll out VirtualPageViews to all Wikipedia wikis. Good job everyone!